<html>
    <body>
        <h3>Guess a number between 1 to 10</h3>
        <form>
            <input type="number" id="num" >
            <input type="button" onclick="guessFunc();" value= "submit">
        </form>
        
    </body>
    <script>        
        function guessFunc(){
            var rand = Math.floor((Math.random()*10)+1);
            console.log(rand);
            var inputNum = document.getElementById("num").value;
            if((inputNum>0) && (inputNum <=10)){
                console.log(inputNum);
                if(inputNum == rand){
                    document.write("Good Work");
                }
                else{
                    document.write("Not Matched");
                }
            }
            else{
                alert("Enter a Number between 1 to 10")
            }
        }
    </script>
</html>